{{- if and .Values.wdm.enabled -}}
apiVersion: v1
kind: Pod
metadata:
  name: "{{ include "wiedoetermee.wdm.fullname" . }}-test-connection"
  labels:
    {{- include "wiedoetermee.wdm.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": test-success
{{ include "wiedoetermee.namespace" . | indent 2 }}
spec:
  containers:
    - name: wget
      image: busybox
      command: ['wget']
      args: ['{{ include "wiedoetermee.wdm.fullname" . }}:8080']
  restartPolicy: Never
{{ end }}
